---
title: inherit
slug: Web/CSS/inherit
tags:
  - CSS
  - CSS Cascade
  - CSS Value
  - Cascade
  - Inheritance
  - Keyword
  - Layout
  - Reference
  - Style
  - inherit
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>inherit</code></strong> CSS keyword causes the element for which it is specified to take the <a href="/en-US/docs/Web/CSS/computed_value">computed value</a> of the property from its parent element.</span> It can be applied to any CSS property, including the CSS shorthand {{cssxref("all")}}.</p>

<p>For <a href="/en-US/docs/Web/CSS/inheritance#Inherited_properties">inherited properties</a>, this reinforces the default behavior, and is only needed to override another rule. For <a href="/en-US/docs/Web/CSS/inheritance#Non-inherited_properties">non-inherited properties</a>, this specifies a behavior that typically makes relatively little sense and you may consider using {{cssxref("initial")}} instead, or {{cssxref("unset")}} on the {{cssxref("all")}} property.</p>

<p>Inheritance is always from the parent element in the document tree, even when the parent element is not the containing block.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Exclude_selected_elements_from_a_rule">Exclude selected elements from a rule</h3>

<pre class="brush: css notranslate">/* Make second-level headers green */
h2 { color: green; }

/* ...but leave those in the sidebar alone so they use their parent's color */
#sidebar h2 { color: inherit; }
</pre>

<p>In this example the <code>h2</code> elements inside the sidebar might be different colors. For example, if one of them were the child of a div matched by the rule ...</p>

<pre class="brush: css notranslate">div#current { color: blue; }
</pre>

<p>... it would be blue.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS4 Cascade', '#inherit', 'inherit') }}</td>
   <td>{{Spec2('CSS4 Cascade')}}</td>
   <td>No changes from Level 3.</td>
  </tr>
  <tr>
   <td>{{ SpecName('CSS3 Values', "#common-keywords", "inherit") }}</td>
   <td>{{ Spec2('CSS3 Values') }}</td>
   <td>No significant change from {{ SpecName('CSS2.1') }}.</td>
  </tr>
  <tr>
   <td>{{ SpecName('CSS2.1', "cascade.html#value-def-inherit", "inherit") }}</td>
   <td>{{ Spec2('CSS2.1') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.types.global_keywords.inherit")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a class="internal" href="/en-US/docs/Web/CSS/inheritance">Inheritance</a></li>
 <li>Use {{cssxref("initial")}} to set a property to its initial value.</li>
 <li>Use {{cssxref("unset")}} to set a property to its inherited value if it inherits, or to its initial value if not.</li>
 <li>Use {{cssxref("revert")}} to reset a property to the value established by the user-agent stylesheet (or by user styles, if any exist).</li>
 <li>The {{cssxref("all")}} property lets you reset all properties to their initial, inherited, reverted, or unset state at once.</li>
</ul>
